Subject: RE: LIBRARY_PATH problems
From: [email-masked] (Kevin F. Quinn)

19 May 1998 13:46:31 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: "Kris Thielemans" <[email-masked]>
Cc: "Gnuwin" <[email-masked]>

Kris Thielemans wrote:

> New tests:
> 3)
> - I make a directory /ll, and put libX11.a in there
> - I make sure there is no ll directory on any other drive, certainly not on
> d: - I set LIBRARY_PATH=//d/ll (or /home/ll) - gcc -v -lX11 does find the
> X11 library, and the -v option tells you it found it in /ll (=c:\ll)
> 
> 4)
> - I remove the c:\ll, and make a d:\ll, put libX11.a
> - keep LIBRARY_PATH=//d/ll
> - gcc -lX11 does not find the library

Would mounting D:\ onto /d (say) solve the problem?  Then you wouldn't have 
to use any drive specifications, which are presumably (I'm guessing, 
from what Earnie said earlier) causing inode conflicts and hence all sorts 
of weird side-effects.

Kev.

-- 
Kevin F. Quinn
Email: mailto:[email-masked]
Web: http://www.banana.demon.co.uk/

DH/DSS PGP Key ID BF2270F3, F'print CF8E7A81E372B57AA793 2AC7E016EB00BF2270F3
RSA PGP Key ID 22DEFDE5, F'print 92DB91B153F10711 4272B2940D7C7D77
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".